PDF417 (ZXing 3.5.0 API)

com.google.zxing.pdf417.encoder

## Class PDF417

- java.lang.Object
- - com.google.zxing.pdf417.encoder.PDF417

-     public final class PDF417
      extends Object

  Top-level class for the logic part of the PDF417 implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDF417()`
    `PDF417(boolean compact)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateBarcodeLogic(String msg, int errorCorrectionLevel)`
    `void` | `generateBarcodeLogic(String msg, int errorCorrectionLevel, boolean autoECI)`
    `BarcodeMatrix` | `getBarcodeMatrix()`
    `void` | `setCompact(boolean compact)`
    `void` | `setCompaction(Compaction compaction)`
    `void` | `setDimensions(int maxCols, int minCols, int maxRows, int minRows)` Sets max/min row/col values
    `void` | `setEncoding(Charset encoding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDF417

          public PDF417()

    - #### PDF417

          public PDF417(boolean compact)

  - ### Method Detail

    - #### getBarcodeMatrix

          public BarcodeMatrix getBarcodeMatrix()

    - #### generateBarcodeLogic

          public void generateBarcodeLogic(String msg,
                                           int errorCorrectionLevel)
                                    throws WriterException

      Parameters:
        `msg` - message to encode
        `errorCorrectionLevel` - PDF417 error correction level to use
      Throws:
        `WriterException` - if the contents cannot be encoded in this format

    - #### generateBarcodeLogic

          public void generateBarcodeLogic(String msg,
                                           int errorCorrectionLevel,
                                           boolean autoECI)
                                    throws WriterException

      Parameters:
        `msg` - message to encode
        `errorCorrectionLevel` - PDF417 error correction level to use
        `autoECI` - automatically insert ECIs if needed
      Throws:
        `WriterException` - if the contents cannot be encoded in this format

    - #### setDimensions

          public void setDimensions(int maxCols,
                                    int minCols,
                                    int maxRows,
                                    int minRows)

      Sets max/min row/col values
      Parameters:
        `maxCols` - maximum allowed columns
        `minCols` - minimum allowed columns
        `maxRows` - maximum allowed rows
        `minRows` - minimum allowed rows

    - #### setCompaction

          public void setCompaction(Compaction compaction)

      Parameters:
        `compaction` - compaction mode to use

    - #### setCompact

          public void setCompact(boolean compact)

      Parameters:
        `compact` - if true, enables compaction

    - #### setEncoding

          public void setEncoding(Charset encoding)

      Parameters:
        `encoding` - sets character encoding to use

Copyright © 2007–2022. All rights reserved.